cheapmobileproxy

Mobile Proxy Developer API

Process balance, products, orders, proxies, and IP changes via REST API. Automate console actions in your tools/scripts.

Default Address and Authentication

https://cheapmobileproxy.com/api/v1
Authorization: Bearer YOUR_API_KEY

GET/balanceBalance

Returns the available balance in USD.

curl https://cheapmobileproxy.com/api/v1/balance \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "balance": "125.40", "currency": "USD" }

GET/productsProducts and Prices

Returns the countries available for each product, the periods and prices per proxy for each country, and the GB price for rotating mobile proxies.

curl https://cheapmobileproxy.com/api/v1/products \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "currency": "USD", "products": [ { "id": "dedicated", "unit": "proxy", "countries": [ { "country": "us", "periods": [ { "period": "1m", "days": 30, "price": "83.40" } ] } ] }, { "id": "rotating", "unit": "gb", "price_per_gb": "3.59" } ] }

POST/ordersPurchase

Purchase from balance. For static mobile: product, country, period, quantity(1~100). For rotating: product, gb(1~1000), country(optional, default 'any').

curl -X POST https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "product": "dedicated", "country": "us", "period": "1m", "quantity": 2 }'
{ "ok": true, "order": "P-7K2M-Q9XD-4HTA", "charged": "166.80", "balance": "58.60" }

GET/ordersOrder list

Returns order code, product, country, period, quantity, amount, status, and end date.

curl https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "orders": [ { "code": "P-7K2M-Q9XD-4HTA", "product": "dedicated", "country": "us", "period": "1m", "quantity": 2, "status": "ACTIVE" } ] }

GET/proxiesProxy list

Returns the host, HTTP/SOCKS5 ports, username, password, current IP, and IP change link for active proxies.

curl https://cheapmobileproxy.com/api/v1/proxies \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "proxies": [ { "id": "pxk3m9q2wt7a", "country": "us", "host": "198.51.100.24", "http_port": 20418, "socks5_port": 30418, "username": "cmpk3m9q2wt", "password": "...", "ip": "203.0.113.57", "ip_change_url": "https://cheapmobileproxy.com/api/rotate/..." } ] }

POST/proxies/{id}/rotateChange IP

Get a new IP for your fixed mobile proxy. Up to once every 10 seconds per proxy.

curl -X POST https://cheapmobileproxy.com/api/v1/proxies/pxk3m9q2wt7a/rotate \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "ip": "203.0.113.91", "changed_at": "2026-10-23T09:30:00.000Z" }

Error response

HTTPcodeMeaning
401authAPI key missing or invalid
402balanceInsufficient balance (no funds deducted)
400bad_country, bad_period, bad_qty, bad_gbRequest doesn’t match product (no funds deducted)
429rate, too_fast300 requests/minute, IP changes up to every 10 seconds
503networkNetwork error - please retry shortly (no funds deducted)

Create API Key

After your first top-up is reflected in your balance, create an API key in the console's API section. Include the key in each request and replace it in the console as needed.

Use cases

  • Check balance
  • View product, country, period, and price lists
  • Placing orders and checking order status
  • View proxy list and connection details
  • Change Fixed Line IP (Up to Once Every 10 Seconds)

Orders and payments

API orders are also paid from the same balance as the console. Dedicated lines can be ordered from 1 to 100 units at once, rotating mobile proxies by GB.